    import { Layer } from './baseLayer'
    import { Zondy } from '../../base'
    import { defaultValue } from '../../util'
    import { LayerType } from '../../base/enum'

    /**
     * 未定义图层
     * @class UnknownLayer
     * @moduleEX LayerModule
     * @extends Layer
     * @param {Object} options 构造参数
     * */
    class UnknownLayer extends Layer {
      constructor(options) {
        super(options)
        options = defaultValue(options, {})
        /**
         * 图层类型
         * @member {String} UnknownLayer.prototype.type
         */
        this.type = LayerType.unknown
      }

      /**
       * 从igs获取图层信息的方法
       */
      load() {
        const self = this
        return Promise.resolve(self)
      }

      /**
       * 克隆并返回一个新图层
       * @return {UnknownLayer} 新的图层对象
       * */
      clone() {
        return new UnknownLayer(this.toJSON())
      }
    }

    Zondy.Layer.UnknownLayer = UnknownLayer
    export default UnknownLayer